## plasma-gamemode 0.0~git20220224.3adea2bd

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

cmake_minimum_required(VERSION 3.16)

project(plasma-gamepad)
set(PROJECT_VERSION "1.0.0")

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.82")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(CMakeDependentOption)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
include(FeatureSummary)
include(KDEGitCommitHooks)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Core)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    DBusAddons
    I18n
    Declarative
    Plasma
)

cmake_dependent_option(WITH_SIMULATION
    "Build with simulation tech allowing easy testing via PLASMA_DISKS_SIMULATION=1"
    ON
    "CMAKE_BUILD_TYPE MATCHES [Dd]ebug"
    OFF
)

add_subdirectory(src)

ki18n_install(po)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.gamemode\")

set(generated_SRCS)

set_source_files_properties(com.feralinteractive.GameMode.xml
    PROPERTIES
        NO_NAMESPACE TRUE
        INCLUDE types.h)
set_source_files_properties(com.feralinteractive.GameMode.Game.xml PROPERTIES NO_NAMESPACE TRUE)
qt_add_dbus_interface(generated_SRCS org.freedesktop.DBus.Properties.xml org.freedesktop.DBus.Properties)
qt_add_dbus_interface(generated_SRCS com.feralinteractive.GameMode.Game.xml com.feralinteractive.GameMode.Game)
qt_add_dbus_interface(generated_SRCS com.feralinteractive.GameMode.xml com.feralinteractive.GameMode)

add_library(plasma-gamemode main.cpp gamesmodel.cpp types.cpp ${generated_SRCS})
target_link_libraries(plasma-gamemode
    Qt5::DBus
    Qt5::Quick
)

set(PRIVATE_QML_INSTALL_DIR ${QML_INSTALL_DIR}/org/kde/plasma/private/gamemode)
install(TARGETS plasma-gamemode DESTINATION ${PRIVATE_QML_INSTALL_DIR})
install(FILES qmldir DESTINATION ${PRIVATE_QML_INSTALL_DIR})

add_subdirectory(applet)

=== src/applet/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

plasma_install_package(. org.kde.plasma.gamemode)

=== debian/changelog ===
plasma-gamemode (0.0~git20220224.3adea2bd-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:12:40 +1100

plasma-gamemode (0.0~git20220224.3adea2bd-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:26:32 +0000

plasma-gamemode (0.0~git20220224.3adea2bd-2) unstable; urgency=medium

  * Re-upload as a source-only build so it can migrate to testing.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:12:21 +0100

plasma-gamemode (0.0~git20220224.3adea2bd-1) unstable; urgency=medium

  * Initial release. (Closes: #1006773)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Mar 2022 09:36:03 +0100

=== debian/control ===
Source: plasma-gamemode
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82~),
               libkf5coreaddons-dev (>= 5.82~),
               libkf5dbusaddons-dev (>= 5.82~),
               libkf5declarative-dev (>= 5.82~),
               libkf5i18n-dev (>= 5.82~),
               libkf5plasma-dev (>= 5.82~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/sitter/plasma-gamemode
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-gamemode
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-gamemode.git

Package: plasma-gamemode
Architecture: any
Depends: plasma-desktop,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma extension that monitors the current status of gamemode
 GameMode optimises your system for peak performance when running a game.
 .
 This shell extension will show you whether GameMode is active and for which
 processes.
 .
 If you have the Debian gamemode package installed, you can test this
 extension by running: /usr/games/gamemode-simulate-game
 which will show a tray icon for gamemode listing that process, and
 will stop after 10 seconds.

## plasma-gamemode 0.0~git20240315.4d60358

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,11 +6,12 @@
 project(plasma-gamepad)
 set(PROJECT_VERSION "1.0.0")
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.82")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+set(PLASMA_MIN_VERSION "6.0.0")
+set(QT_MIN_VERSION "6.0.0")
+set(KF6_MIN_VERSION "6.0.0")
+set(KDE_COMPILERSETTINGS_LEVEL "6.0.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 set(CMAKE_CXX_STANDARD 20)
@@ -25,14 +26,14 @@
 include(FeatureSummary)
 include(KDEGitCommitHooks)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Core)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Gui Core)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     DBusAddons
     I18n
     Declarative
-    Plasma
 )
+find_package(Plasma ${PLASMA_MIN_VERSION} REQUIRED)
 
 cmake_dependent_option(WITH_SIMULATION
     "Build with simulation tech allowing easy testing via PLASMA_DISKS_SIMULATION=1"

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.gamemode\")
remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
)

set(generated_SRCS)

set_source_files_properties(
    com.feralinteractive.GameMode.xml
    PROPERTIES
    NO_NAMESPACE TRUE
    INCLUDE types.h
)
set_source_files_properties(com.feralinteractive.GameMode.Game.xml PROPERTIES NO_NAMESPACE TRUE)
qt_add_dbus_interface(generated_SRCS org.freedesktop.DBus.Properties.xml org.freedesktop.DBus.Properties)
qt_add_dbus_interface(generated_SRCS com.feralinteractive.GameMode.Game.xml com.feralinteractive.GameMode.Game)
qt_add_dbus_interface(generated_SRCS com.feralinteractive.GameMode.xml com.feralinteractive.GameMode)

add_library(plasma-gamemode main.cpp gamesmodel.cpp types.cpp ${generated_SRCS})
target_link_libraries(
    plasma-gamemode
    Qt6::DBus
    Qt6::Quick
)

include(KDEInstallDirs6)

set(PRIVATE_QML_INSTALL_DIR ${KDE_INSTALL_FULL_QMLDIR}/org/kde/plasma/private/gamemode)
install(TARGETS plasma-gamemode DESTINATION ${PRIVATE_QML_INSTALL_DIR})
install(FILES qmldir DESTINATION ${PRIVATE_QML_INSTALL_DIR})

add_subdirectory(applet)

=== debian/changelog ===
plasma-gamemode (0.0~git20240315.4d60358-1) unstable; urgency=medium

  [ Alexis Murzeau ]
  * New upstream version which fixes compatibility with plasma 6
    (Closes: #1092033).

  [ Aurélien COUDERC ]
  * Automatically update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF6 debhelper build sequence.
  * Switch to dh-sequence-qmldeps for runtime QML dependencies.
  * Use new email in Maintainers field.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Feb 2025 01:03:37 +0100

=== debian/control ===
Source: plasma-gamemode
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0),
               libkf6coreaddons-dev (>= 6.0.0),
               libkf6dbusaddons-dev (>= 6.0.0),
               libkf6declarative-dev (>= 6.0.0),
               libkf6i18n-dev (>= 6.0.0),
               libplasma-dev (>= 6.0.0),
               pkg-kde-tools,
               qt6-base-dev (>= 6.0.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/sitter/plasma-gamemode
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-gamemode
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-gamemode.git
Rules-Requires-Root: no

Package: plasma-gamemode
Architecture: any
Depends: plasma-desktop, ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Plasma extension that monitors the current status of gamemode
 GameMode optimises your system for peak performance when running a game.
 .
 This shell extension will show you whether GameMode is active and for which
 processes.
 .
 If you have the Debian gamemode package installed, you can test this
 extension by running: /usr/games/gamemode-simulate-game
 which will show a tray icon for gamemode listing that process, and
 will stop after 10 seconds.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://invent.kde.org/sitter/@PACKAGE@ HEAD
